---
# roles/k3s/defaults/main.yml

## System management

k3s_reboot_timeout: 3600
k3s_update_etc_hosts: false

## Inventory management

k3s_registration_address: "{{ groups['k3s_servers'][0] }}"

## Package management

k3s_package_version: "v1.31.2+k3s1"
k3s_selinux_package_version: "1.5-1"

k3s_dependency_package_names:
  - "container-selinux"
  - "selinux-policy-base"
k3s_dependency_package_state: "present"

## Configuration management

k3s_node_name: "{{ inventory_hostname }}"
# k3s_token: "THISISAMANDATORYSECRET"
k3s_debug: false
k3s_cluster_cidr: "10.42.0.0/16"
k3s_service_cidr: "10.43.0.0/16"

## Service management

k3s_service_name: "k3s"
k3s_service_state: "started"
k3s_service_enabled: true

## Firewall management

k3s_ingress_firewall_ports:
  - "80/tcp"
  - "443/tcp"
k3s_ingress_firewall_state: "enabled"
k3s_ingress_firewall_immediate: true
k3s_ingress_firewall_permanent: true

k3s_api_firewall_port: "6443/tcp"
k3s_api_firewall_state: "enabled"
k3s_api_firewall_immediate: true
k3s_api_firewall_permanent: true

k3s_etcd_firewall_ports:
  - "2379/tcp"
  - "2380/tcp"
k3s_etcd_firewall_state: "enabled"
k3s_etcd_firewall_immediate: true
k3s_etcd_firewall_permanent: true

k3s_flannel_firewall_port: "8472/udp"
k3s_flannel_firewall_state: "enabled"
k3s_flannel_firewall_immediate: true
k3s_flannel_firewall_permanent: true

k3s_metrics_firewall_port: "10250/tcp"
k3s_metrics_firewall_state: "enabled"
k3s_metrics_firewall_immediate: true
k3s_metrics_firewall_permanent: true
...
